float fogFactor = 1.0;		// default: no fog
if (u_globalFogParms.x == 1.0)		// linear fog
{
	fogFactor = clamp((u_globalFogParms.w - length(v_clipVertex)) / (u_globalFogParms.w - u_globalFogParms.z), 0.0, 1.0);
}
if (u_globalFogParms.x == 2.0)		// exp fog
{
	fogFactor = clamp(exp(-u_globalFogParms.y * length(v_clipVertex)), 0.0, 1.0);
}
